package com.hzya.frame.cbs8.dto.res;

/**
 * @Description 交易结果查询data节点响应的参数
 * @Author xiangerlin
 * @Date 2024/1/3 15:45
 **/
public class PayResultResDTO {

    private String payDate;//支付日期
    private String accountFlag;

    private String agentDetails;

    private String amount;

    private String bankExtend1;

    private String bankExtend10;

    private String bankExtend11;

    private String bankExtend2;

    private String bankExtend3;

    private String bankExtend4;

    private String bankExtend5;

    private String bankExtend6;

    private String bankExtend7;

    private String bankExtend8;

    private String bankExtend9;

    private String bankInterfaceType;

    private String bankNum;

    private String bankVersion;

    private String batchNum;

    private String busNum;

    private String busType;

    private String checkCodeList;

    private String cityFlag;

    private String cnapsCode;

    private String createBy;

    private String createByName;

    private String createTime;

    private String currency;

    private String dealPeopleList;

    private String detailNum;

    private String erpExtend1;

    private String erpExtend2;

    private String erpExtend3;

    private String errorMsg;

    private String expectTime;



    private String extend1;

    private String extend2;

    private String extend3;

    private String extend4;

    private String extend5;

    private String freezeFlowNum;

    private String freezeStatus;

    private String id;

    private String innerAccount;

    private String innerAccountName;

    private String inputType;

    private String isDeleted;

    private String isSaveRev;

    private String lastPrintTime;

    private String lastPrintUser;

    private String operaterOrgCode;

    private String operaterOrgCodeList;

    private String operaterOrgName;

    private String payAccount;

    private String payAccountName;

    private String payAccountSeq;

    private String payBankName;

    private String payBankType;

    private String payChannel;

    private String payOrgCode;

    private String payOrgName;

    private String payStatus;// 支付状态

    private String paymentApplyUnionDTO;

    private String personalFlag;

    private String printTimes;

    private String procInstId;

    private String procStatus;

    private String projectCode;

    private String purpose;

    private String realName;

    private String realRevAccount;

    private String realTimeTag;

    private String referenceNum;

    private String revAccount;

    private String revAccountName;

    private String revAccountSeq;

    private String revBankArea;

    private String revBankName;

    private String revBankType;

    private String revCity;

    private String revProvince;

    private String status;//支付申请状态

    private String summary;

    private String unitCode;

    private String unitName;

    private String updateBy;

    private String updateTime;

    private String urgentTag;

    public String getAccountFlag() {
        return accountFlag;
    }

    public void setAccountFlag(String accountFlag) {
        this.accountFlag = accountFlag;
    }

    public String getAgentDetails() {
        return agentDetails;
    }

    public void setAgentDetails(String agentDetails) {
        this.agentDetails = agentDetails;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getBankExtend1() {
        return bankExtend1;
    }

    public void setBankExtend1(String bankExtend1) {
        this.bankExtend1 = bankExtend1;
    }

    public String getBankExtend10() {
        return bankExtend10;
    }

    public void setBankExtend10(String bankExtend10) {
        this.bankExtend10 = bankExtend10;
    }

    public String getBankExtend11() {
        return bankExtend11;
    }

    public void setBankExtend11(String bankExtend11) {
        this.bankExtend11 = bankExtend11;
    }

    public String getBankExtend2() {
        return bankExtend2;
    }

    public void setBankExtend2(String bankExtend2) {
        this.bankExtend2 = bankExtend2;
    }

    public String getBankExtend3() {
        return bankExtend3;
    }

    public void setBankExtend3(String bankExtend3) {
        this.bankExtend3 = bankExtend3;
    }

    public String getBankExtend4() {
        return bankExtend4;
    }

    public void setBankExtend4(String bankExtend4) {
        this.bankExtend4 = bankExtend4;
    }

    public String getBankExtend5() {
        return bankExtend5;
    }

    public void setBankExtend5(String bankExtend5) {
        this.bankExtend5 = bankExtend5;
    }

    public String getBankExtend6() {
        return bankExtend6;
    }

    public void setBankExtend6(String bankExtend6) {
        this.bankExtend6 = bankExtend6;
    }

    public String getBankExtend7() {
        return bankExtend7;
    }

    public void setBankExtend7(String bankExtend7) {
        this.bankExtend7 = bankExtend7;
    }

    public String getBankExtend8() {
        return bankExtend8;
    }

    public void setBankExtend8(String bankExtend8) {
        this.bankExtend8 = bankExtend8;
    }

    public String getBankExtend9() {
        return bankExtend9;
    }

    public void setBankExtend9(String bankExtend9) {
        this.bankExtend9 = bankExtend9;
    }

    public String getBankInterfaceType() {
        return bankInterfaceType;
    }

    public void setBankInterfaceType(String bankInterfaceType) {
        this.bankInterfaceType = bankInterfaceType;
    }

    public String getBankNum() {
        return bankNum;
    }

    public void setBankNum(String bankNum) {
        this.bankNum = bankNum;
    }

    public String getBankVersion() {
        return bankVersion;
    }

    public void setBankVersion(String bankVersion) {
        this.bankVersion = bankVersion;
    }

    public String getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }

    public String getBusNum() {
        return busNum;
    }

    public void setBusNum(String busNum) {
        this.busNum = busNum;
    }

    public String getBusType() {
        return busType;
    }

    public void setBusType(String busType) {
        this.busType = busType;
    }

    public String getCheckCodeList() {
        return checkCodeList;
    }

    public void setCheckCodeList(String checkCodeList) {
        this.checkCodeList = checkCodeList;
    }

    public String getCityFlag() {
        return cityFlag;
    }

    public void setCityFlag(String cityFlag) {
        this.cityFlag = cityFlag;
    }

    public String getCnapsCode() {
        return cnapsCode;
    }

    public void setCnapsCode(String cnapsCode) {
        this.cnapsCode = cnapsCode;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getDealPeopleList() {
        return dealPeopleList;
    }

    public void setDealPeopleList(String dealPeopleList) {
        this.dealPeopleList = dealPeopleList;
    }

    public String getDetailNum() {
        return detailNum;
    }

    public void setDetailNum(String detailNum) {
        this.detailNum = detailNum;
    }

    public String getErpExtend1() {
        return erpExtend1;
    }

    public void setErpExtend1(String erpExtend1) {
        this.erpExtend1 = erpExtend1;
    }

    public String getErpExtend2() {
        return erpExtend2;
    }

    public void setErpExtend2(String erpExtend2) {
        this.erpExtend2 = erpExtend2;
    }

    public String getErpExtend3() {
        return erpExtend3;
    }

    public void setErpExtend3(String erpExtend3) {
        this.erpExtend3 = erpExtend3;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getExpectTime() {
        return expectTime;
    }

    public void setExpectTime(String expectTime) {
        this.expectTime = expectTime;
    }

    public String getExtend1() {
        return extend1;
    }

    public void setExtend1(String extend1) {
        this.extend1 = extend1;
    }

    public String getExtend2() {
        return extend2;
    }

    public void setExtend2(String extend2) {
        this.extend2 = extend2;
    }

    public String getExtend3() {
        return extend3;
    }

    public void setExtend3(String extend3) {
        this.extend3 = extend3;
    }

    public String getExtend4() {
        return extend4;
    }

    public void setExtend4(String extend4) {
        this.extend4 = extend4;
    }

    public String getExtend5() {
        return extend5;
    }

    public void setExtend5(String extend5) {
        this.extend5 = extend5;
    }

    public String getFreezeFlowNum() {
        return freezeFlowNum;
    }

    public void setFreezeFlowNum(String freezeFlowNum) {
        this.freezeFlowNum = freezeFlowNum;
    }

    public String getFreezeStatus() {
        return freezeStatus;
    }

    public void setFreezeStatus(String freezeStatus) {
        this.freezeStatus = freezeStatus;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInnerAccount() {
        return innerAccount;
    }

    public void setInnerAccount(String innerAccount) {
        this.innerAccount = innerAccount;
    }

    public String getInnerAccountName() {
        return innerAccountName;
    }

    public void setInnerAccountName(String innerAccountName) {
        this.innerAccountName = innerAccountName;
    }

    public String getInputType() {
        return inputType;
    }

    public void setInputType(String inputType) {
        this.inputType = inputType;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getIsSaveRev() {
        return isSaveRev;
    }

    public void setIsSaveRev(String isSaveRev) {
        this.isSaveRev = isSaveRev;
    }

    public String getLastPrintTime() {
        return lastPrintTime;
    }

    public void setLastPrintTime(String lastPrintTime) {
        this.lastPrintTime = lastPrintTime;
    }

    public String getLastPrintUser() {
        return lastPrintUser;
    }

    public void setLastPrintUser(String lastPrintUser) {
        this.lastPrintUser = lastPrintUser;
    }

    public String getOperaterOrgCode() {
        return operaterOrgCode;
    }

    public void setOperaterOrgCode(String operaterOrgCode) {
        this.operaterOrgCode = operaterOrgCode;
    }

    public String getOperaterOrgCodeList() {
        return operaterOrgCodeList;
    }

    public void setOperaterOrgCodeList(String operaterOrgCodeList) {
        this.operaterOrgCodeList = operaterOrgCodeList;
    }

    public String getOperaterOrgName() {
        return operaterOrgName;
    }

    public void setOperaterOrgName(String operaterOrgName) {
        this.operaterOrgName = operaterOrgName;
    }

    public String getPayAccount() {
        return payAccount;
    }

    public void setPayAccount(String payAccount) {
        this.payAccount = payAccount;
    }

    public String getPayAccountName() {
        return payAccountName;
    }

    public void setPayAccountName(String payAccountName) {
        this.payAccountName = payAccountName;
    }

    public String getPayAccountSeq() {
        return payAccountSeq;
    }

    public void setPayAccountSeq(String payAccountSeq) {
        this.payAccountSeq = payAccountSeq;
    }

    public String getPayBankName() {
        return payBankName;
    }

    public void setPayBankName(String payBankName) {
        this.payBankName = payBankName;
    }

    public String getPayBankType() {
        return payBankType;
    }

    public void setPayBankType(String payBankType) {
        this.payBankType = payBankType;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getPayOrgCode() {
        return payOrgCode;
    }

    public void setPayOrgCode(String payOrgCode) {
        this.payOrgCode = payOrgCode;
    }

    public String getPayOrgName() {
        return payOrgName;
    }

    public void setPayOrgName(String payOrgName) {
        this.payOrgName = payOrgName;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getPaymentApplyUnionDTO() {
        return paymentApplyUnionDTO;
    }

    public void setPaymentApplyUnionDTO(String paymentApplyUnionDTO) {
        this.paymentApplyUnionDTO = paymentApplyUnionDTO;
    }

    public String getPersonalFlag() {
        return personalFlag;
    }

    public void setPersonalFlag(String personalFlag) {
        this.personalFlag = personalFlag;
    }

    public String getPrintTimes() {
        return printTimes;
    }

    public void setPrintTimes(String printTimes) {
        this.printTimes = printTimes;
    }

    public String getProcInstId() {
        return procInstId;
    }

    public void setProcInstId(String procInstId) {
        this.procInstId = procInstId;
    }

    public String getProcStatus() {
        return procStatus;
    }

    public void setProcStatus(String procStatus) {
        this.procStatus = procStatus;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getRealRevAccount() {
        return realRevAccount;
    }

    public void setRealRevAccount(String realRevAccount) {
        this.realRevAccount = realRevAccount;
    }

    public String getRealTimeTag() {
        return realTimeTag;
    }

    public void setRealTimeTag(String realTimeTag) {
        this.realTimeTag = realTimeTag;
    }

    public String getReferenceNum() {
        return referenceNum;
    }

    public void setReferenceNum(String referenceNum) {
        this.referenceNum = referenceNum;
    }

    public String getRevAccount() {
        return revAccount;
    }

    public void setRevAccount(String revAccount) {
        this.revAccount = revAccount;
    }

    public String getRevAccountName() {
        return revAccountName;
    }

    public void setRevAccountName(String revAccountName) {
        this.revAccountName = revAccountName;
    }

    public String getRevAccountSeq() {
        return revAccountSeq;
    }

    public void setRevAccountSeq(String revAccountSeq) {
        this.revAccountSeq = revAccountSeq;
    }

    public String getRevBankArea() {
        return revBankArea;
    }

    public void setRevBankArea(String revBankArea) {
        this.revBankArea = revBankArea;
    }

    public String getRevBankName() {
        return revBankName;
    }

    public void setRevBankName(String revBankName) {
        this.revBankName = revBankName;
    }

    public String getRevBankType() {
        return revBankType;
    }

    public void setRevBankType(String revBankType) {
        this.revBankType = revBankType;
    }

    public String getRevCity() {
        return revCity;
    }

    public void setRevCity(String revCity) {
        this.revCity = revCity;
    }

    public String getRevProvince() {
        return revProvince;
    }

    public void setRevProvince(String revProvince) {
        this.revProvince = revProvince;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUrgentTag() {
        return urgentTag;
    }

    public void setUrgentTag(String urgentTag) {
        this.urgentTag = urgentTag;
    }

    public String getPayDate() {
        return payDate;
    }

    public void setPayDate(String payDate) {
        this.payDate = payDate;
    }
}
